<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
    <!-- Generated by javadoc -->
    <title>Uses of Class org.apache.poi.ss.formula.FormulaShifter (POI API Documentation)</title>
    <link rel="stylesheet" type="text/css" href="../../../../../../stylesheet.css" title="Style">
    <script type="text/javascript" src="../../../../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="Uses of Class org.apache.poi.ss.formula.FormulaShifter (POI API Documentation)";
        }
    }
    catch(err) {
    }
//-->

</script>
<noscript>
    <div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
    <!--   -->
</a>
    <div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
    <a name="navbar.top.firstrow">
        <!--   -->
    </a>
    <ul class="navList" title="Navigation">
        <li><a href="../../../../../../overview-summary.html">Overview</a></li>
        <li><a href="../package-summary.html">Package</a></li>
        <li><a href="../../../../../../org/apache/poi/ss/formula/FormulaShifter.html"
               title="class in org.apache.poi.ss.formula">Class</a></li>
        <li class="navBarCell1Rev">Use</li>
        <li><a href="../package-tree.html">Tree</a></li>
        <li><a href="../../../../../../deprecated-list.html">Deprecated</a></li>
        <li><a href="../../../../../../index-all.html">Index</a></li>
        <li><a href="../../../../../../help-doc.html">Help</a></li>
    </ul>
</div>
<div class="subNav">
    <ul class="navList">
        <li>Prev</li>
        <li>Next</li>
    </ul>
    <ul class="navList">
        <li><a href="../../../../../../index.html?org/apache/poi/ss/formula/class-use/FormulaShifter.html"
               target="_top">Frames</a></li>
        <li><a href="FormulaShifter.html" target="_top">No&nbsp;Frames</a></li>
    </ul>
    <ul class="navList" id="allclasses_navbar_top">
        <li><a href="../../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
    </ul>
    <div>
        <script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->

        </script>
    </div>
    <a name="skip.navbar.top">
        <!--   -->
    </a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<div class="header">
    <h2 title="Uses of Class org.apache.poi.ss.formula.FormulaShifter" class="title">Uses of Class<br>org.apache.poi.ss.formula.FormulaShifter
    </h2>
</div>
<div class="classUseContainer">
    <ul class="blockList">
        <li class="blockList">
            <table class="useSummary" border="0" cellpadding="3" cellspacing="0"
                   summary="Use table, listing packages, and an explanation">
                <caption><span>Packages that use <a
                        href="../../../../../../org/apache/poi/ss/formula/FormulaShifter.html"
                        title="class in org.apache.poi.ss.formula">FormulaShifter</a></span><span
                        class="tabEnd">&nbsp;</span></caption>
                <tr>
                    <th class="colFirst" scope="col">Package</th>
                    <th class="colLast" scope="col">Description</th>
                </tr>
                <tbody>
                <tr class="altColor">
                    <td class="colFirst"><a href="#org.apache.poi.hssf.model">org.apache.poi.hssf.model</a></td>
                    <td class="colLast">
                        <div class="block">Provides low level API structures for reading, writing, modifying XLS
                            files.
                        </div>
                    </td>
                </tr>
                <tr class="rowColor">
                    <td class="colFirst"><a href="#org.apache.poi.hssf.record.aggregates">org.apache.poi.hssf.record.aggregates</a>
                    </td>
                    <td class="colLast">
                        <div class="block">record aggregates are not real "records" but collections of records that act
                            as a single record.
                        </div>
                    </td>
                </tr>
                <tr class="altColor">
                    <td class="colFirst"><a href="#org.apache.poi.hssf.usermodel.helpers">org.apache.poi.hssf.usermodel.helpers</a>
                    </td>
                    <td class="colLast">&nbsp;</td>
                </tr>
                <tr class="rowColor">
                    <td class="colFirst"><a href="#org.apache.poi.ss.formula">org.apache.poi.ss.formula</a></td>
                    <td class="colLast">
                        <div class="block">This package contains common internal POI code for manipulating formulas.
                        </div>
                    </td>
                </tr>
                <tr class="altColor">
                    <td class="colFirst"><a href="#org.apache.poi.ss.usermodel.helpers">org.apache.poi.ss.usermodel.helpers</a>
                    </td>
                    <td class="colLast">&nbsp;</td>
                </tr>
                <tr class="rowColor">
                    <td class="colFirst"><a href="#org.apache.poi.xssf.usermodel.helpers">org.apache.poi.xssf.usermodel.helpers</a>
                    </td>
                    <td class="colLast">&nbsp;</td>
                </tr>
                </tbody>
            </table>
        </li>
        <li class="blockList">
            <ul class="blockList">
                <li class="blockList"><a name="org.apache.poi.hssf.model">
                    <!--   -->
                </a>
                    <h3>Uses of <a href="../../../../../../org/apache/poi/ss/formula/FormulaShifter.html"
                                   title="class in org.apache.poi.ss.formula">FormulaShifter</a> in <a
                            href="../../../../../../org/apache/poi/hssf/model/package-summary.html">org.apache.poi.hssf.model</a>
                    </h3>
                    <table class="useSummary" border="0" cellpadding="3" cellspacing="0"
                           summary="Use table, listing methods, and an explanation">
                        <caption><span>Methods in <a
                                href="../../../../../../org/apache/poi/hssf/model/package-summary.html">org.apache.poi.hssf.model</a> with parameters of type <a
                                href="../../../../../../org/apache/poi/ss/formula/FormulaShifter.html"
                                title="class in org.apache.poi.ss.formula">FormulaShifter</a></span><span
                                class="tabEnd">&nbsp;</span></caption>
                        <tr>
                            <th class="colFirst" scope="col">Modifier and Type</th>
                            <th class="colLast" scope="col">Method and Description</th>
                        </tr>
                        <tbody>
                        <tr class="altColor">
                            <td class="colFirst"><code>void</code></td>
                            <td class="colLast"><span class="typeNameLabel">InternalSheet.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/hssf/model/InternalSheet.html#updateFormulasAfterCellShift-org.apache.poi.ss.formula.FormulaShifter-int-">updateFormulasAfterCellShift</a></span>(<a
                                    href="../../../../../../org/apache/poi/ss/formula/FormulaShifter.html"
                                    title="class in org.apache.poi.ss.formula">FormulaShifter</a>&nbsp;shifter,
                                int&nbsp;externSheetIndex)</code>
                                <div class="block">Updates formulas in cells and conditional formats due to moving of
                                    cells
                                </div>
                            </td>
                        </tr>
                        <tr class="rowColor">
                            <td class="colFirst"><code>void</code></td>
                            <td class="colLast"><span class="typeNameLabel">InternalWorkbook.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/hssf/model/InternalWorkbook.html#updateNamesAfterCellShift-org.apache.poi.ss.formula.FormulaShifter-">updateNamesAfterCellShift</a></span>(<a
                                    href="../../../../../../org/apache/poi/ss/formula/FormulaShifter.html"
                                    title="class in org.apache.poi.ss.formula">FormulaShifter</a>&nbsp;shifter)</code>
                                <div class="block">Updates named ranges due to moving of cells</div>
                            </td>
                        </tr>
                        </tbody>
                    </table>
                </li>
                <li class="blockList"><a name="org.apache.poi.hssf.record.aggregates">
                    <!--   -->
                </a>
                    <h3>Uses of <a href="../../../../../../org/apache/poi/ss/formula/FormulaShifter.html"
                                   title="class in org.apache.poi.ss.formula">FormulaShifter</a> in <a
                            href="../../../../../../org/apache/poi/hssf/record/aggregates/package-summary.html">org.apache.poi.hssf.record.aggregates</a>
                    </h3>
                    <table class="useSummary" border="0" cellpadding="3" cellspacing="0"
                           summary="Use table, listing methods, and an explanation">
                        <caption><span>Methods in <a
                                href="../../../../../../org/apache/poi/hssf/record/aggregates/package-summary.html">org.apache.poi.hssf.record.aggregates</a> with parameters of type <a
                                href="../../../../../../org/apache/poi/ss/formula/FormulaShifter.html"
                                title="class in org.apache.poi.ss.formula">FormulaShifter</a></span><span
                                class="tabEnd">&nbsp;</span></caption>
                        <tr>
                            <th class="colFirst" scope="col">Modifier and Type</th>
                            <th class="colLast" scope="col">Method and Description</th>
                        </tr>
                        <tbody>
                        <tr class="altColor">
                            <td class="colFirst"><code>boolean</code></td>
                            <td class="colLast"><span class="typeNameLabel">CFRecordsAggregate.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/hssf/record/aggregates/CFRecordsAggregate.html#updateFormulasAfterCellShift-org.apache.poi.ss.formula.FormulaShifter-int-">updateFormulasAfterCellShift</a></span>(<a
                                    href="../../../../../../org/apache/poi/ss/formula/FormulaShifter.html"
                                    title="class in org.apache.poi.ss.formula">FormulaShifter</a>&nbsp;shifter,
                                int&nbsp;currentExternSheetIx)</code>&nbsp;
                            </td>
                        </tr>
                        <tr class="rowColor">
                            <td class="colFirst"><code>void</code></td>
                            <td class="colLast"><span
                                    class="typeNameLabel">ConditionalFormattingTable.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/hssf/record/aggregates/ConditionalFormattingTable.html#updateFormulasAfterCellShift-org.apache.poi.ss.formula.FormulaShifter-int-">updateFormulasAfterCellShift</a></span>(<a
                                    href="../../../../../../org/apache/poi/ss/formula/FormulaShifter.html"
                                    title="class in org.apache.poi.ss.formula">FormulaShifter</a>&nbsp;shifter,
                                int&nbsp;externSheetIndex)</code>&nbsp;
                            </td>
                        </tr>
                        <tr class="altColor">
                            <td class="colFirst"><code>void</code></td>
                            <td class="colLast"><span class="typeNameLabel">RowRecordsAggregate.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/hssf/record/aggregates/RowRecordsAggregate.html#updateFormulasAfterRowShift-org.apache.poi.ss.formula.FormulaShifter-int-">updateFormulasAfterRowShift</a></span>(<a
                                    href="../../../../../../org/apache/poi/ss/formula/FormulaShifter.html"
                                    title="class in org.apache.poi.ss.formula">FormulaShifter</a>&nbsp;formulaShifter,
                                int&nbsp;currentExternSheetIndex)</code>&nbsp;
                            </td>
                        </tr>
                        <tr class="rowColor">
                            <td class="colFirst"><code>void</code></td>
                            <td class="colLast"><span class="typeNameLabel">ValueRecordsAggregate.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/hssf/record/aggregates/ValueRecordsAggregate.html#updateFormulasAfterRowShift-org.apache.poi.ss.formula.FormulaShifter-int-">updateFormulasAfterRowShift</a></span>(<a
                                    href="../../../../../../org/apache/poi/ss/formula/FormulaShifter.html"
                                    title="class in org.apache.poi.ss.formula">FormulaShifter</a>&nbsp;shifter,
                                int&nbsp;currentExternSheetIndex)</code>&nbsp;
                            </td>
                        </tr>
                        </tbody>
                    </table>
                </li>
                <li class="blockList"><a name="org.apache.poi.hssf.usermodel.helpers">
                    <!--   -->
                </a>
                    <h3>Uses of <a href="../../../../../../org/apache/poi/ss/formula/FormulaShifter.html"
                                   title="class in org.apache.poi.ss.formula">FormulaShifter</a> in <a
                            href="../../../../../../org/apache/poi/hssf/usermodel/helpers/package-summary.html">org.apache.poi.hssf.usermodel.helpers</a>
                    </h3>
                    <table class="useSummary" border="0" cellpadding="3" cellspacing="0"
                           summary="Use table, listing methods, and an explanation">
                        <caption><span>Methods in <a
                                href="../../../../../../org/apache/poi/hssf/usermodel/helpers/package-summary.html">org.apache.poi.hssf.usermodel.helpers</a> with parameters of type <a
                                href="../../../../../../org/apache/poi/ss/formula/FormulaShifter.html"
                                title="class in org.apache.poi.ss.formula">FormulaShifter</a></span><span
                                class="tabEnd">&nbsp;</span></caption>
                        <tr>
                            <th class="colFirst" scope="col">Modifier and Type</th>
                            <th class="colLast" scope="col">Method and Description</th>
                        </tr>
                        <tbody>
                        <tr class="altColor">
                            <td class="colFirst"><code>void</code></td>
                            <td class="colLast"><span class="typeNameLabel">HSSFRowShifter.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/hssf/usermodel/helpers/HSSFRowShifter.html#updateConditionalFormatting-org.apache.poi.ss.formula.FormulaShifter-">updateConditionalFormatting</a></span>(<a
                                    href="../../../../../../org/apache/poi/ss/formula/FormulaShifter.html"
                                    title="class in org.apache.poi.ss.formula">FormulaShifter</a>&nbsp;formulaShifter)</code>&nbsp;
                            </td>
                        </tr>
                        <tr class="rowColor">
                            <td class="colFirst"><code>void</code></td>
                            <td class="colLast"><span class="typeNameLabel">HSSFColumnShifter.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/hssf/usermodel/helpers/HSSFColumnShifter.html#updateConditionalFormatting-org.apache.poi.ss.formula.FormulaShifter-">updateConditionalFormatting</a></span>(<a
                                    href="../../../../../../org/apache/poi/ss/formula/FormulaShifter.html"
                                    title="class in org.apache.poi.ss.formula">FormulaShifter</a>&nbsp;formulaShifter)</code>&nbsp;
                            </td>
                        </tr>
                        <tr class="altColor">
                            <td class="colFirst"><code>void</code></td>
                            <td class="colLast"><span class="typeNameLabel">HSSFRowShifter.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/hssf/usermodel/helpers/HSSFRowShifter.html#updateFormulas-org.apache.poi.ss.formula.FormulaShifter-">updateFormulas</a></span>(<a
                                    href="../../../../../../org/apache/poi/ss/formula/FormulaShifter.html"
                                    title="class in org.apache.poi.ss.formula">FormulaShifter</a>&nbsp;formulaShifter)</code>&nbsp;
                            </td>
                        </tr>
                        <tr class="rowColor">
                            <td class="colFirst"><code>void</code></td>
                            <td class="colLast"><span class="typeNameLabel">HSSFColumnShifter.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/hssf/usermodel/helpers/HSSFColumnShifter.html#updateFormulas-org.apache.poi.ss.formula.FormulaShifter-">updateFormulas</a></span>(<a
                                    href="../../../../../../org/apache/poi/ss/formula/FormulaShifter.html"
                                    title="class in org.apache.poi.ss.formula">FormulaShifter</a>&nbsp;formulaShifter)</code>&nbsp;
                            </td>
                        </tr>
                        <tr class="altColor">
                            <td class="colFirst"><code>void</code></td>
                            <td class="colLast"><span class="typeNameLabel">HSSFRowShifter.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/hssf/usermodel/helpers/HSSFRowShifter.html#updateHyperlinks-org.apache.poi.ss.formula.FormulaShifter-">updateHyperlinks</a></span>(<a
                                    href="../../../../../../org/apache/poi/ss/formula/FormulaShifter.html"
                                    title="class in org.apache.poi.ss.formula">FormulaShifter</a>&nbsp;formulaShifter)</code>&nbsp;
                            </td>
                        </tr>
                        <tr class="rowColor">
                            <td class="colFirst"><code>void</code></td>
                            <td class="colLast"><span class="typeNameLabel">HSSFColumnShifter.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/hssf/usermodel/helpers/HSSFColumnShifter.html#updateHyperlinks-org.apache.poi.ss.formula.FormulaShifter-">updateHyperlinks</a></span>(<a
                                    href="../../../../../../org/apache/poi/ss/formula/FormulaShifter.html"
                                    title="class in org.apache.poi.ss.formula">FormulaShifter</a>&nbsp;formulaShifter)</code>&nbsp;
                            </td>
                        </tr>
                        <tr class="altColor">
                            <td class="colFirst"><code>void</code></td>
                            <td class="colLast"><span class="typeNameLabel">HSSFRowShifter.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/hssf/usermodel/helpers/HSSFRowShifter.html#updateNamedRanges-org.apache.poi.ss.formula.FormulaShifter-">updateNamedRanges</a></span>(<a
                                    href="../../../../../../org/apache/poi/ss/formula/FormulaShifter.html"
                                    title="class in org.apache.poi.ss.formula">FormulaShifter</a>&nbsp;formulaShifter)</code>&nbsp;
                            </td>
                        </tr>
                        <tr class="rowColor">
                            <td class="colFirst"><code>void</code></td>
                            <td class="colLast"><span class="typeNameLabel">HSSFColumnShifter.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/hssf/usermodel/helpers/HSSFColumnShifter.html#updateNamedRanges-org.apache.poi.ss.formula.FormulaShifter-">updateNamedRanges</a></span>(<a
                                    href="../../../../../../org/apache/poi/ss/formula/FormulaShifter.html"
                                    title="class in org.apache.poi.ss.formula">FormulaShifter</a>&nbsp;formulaShifter)</code>&nbsp;
                            </td>
                        </tr>
                        </tbody>
                    </table>
                </li>
                <li class="blockList"><a name="org.apache.poi.ss.formula">
                    <!--   -->
                </a>
                    <h3>Uses of <a href="../../../../../../org/apache/poi/ss/formula/FormulaShifter.html"
                                   title="class in org.apache.poi.ss.formula">FormulaShifter</a> in <a
                            href="../../../../../../org/apache/poi/ss/formula/package-summary.html">org.apache.poi.ss.formula</a>
                    </h3>
                    <table class="useSummary" border="0" cellpadding="3" cellspacing="0"
                           summary="Use table, listing methods, and an explanation">
                        <caption><span>Methods in <a
                                href="../../../../../../org/apache/poi/ss/formula/package-summary.html">org.apache.poi.ss.formula</a> that return <a
                                href="../../../../../../org/apache/poi/ss/formula/FormulaShifter.html"
                                title="class in org.apache.poi.ss.formula">FormulaShifter</a></span><span
                                class="tabEnd">&nbsp;</span></caption>
                        <tr>
                            <th class="colFirst" scope="col">Modifier and Type</th>
                            <th class="colLast" scope="col">Method and Description</th>
                        </tr>
                        <tbody>
                        <tr class="altColor">
                            <td class="colFirst"><code>static <a
                                    href="../../../../../../org/apache/poi/ss/formula/FormulaShifter.html"
                                    title="class in org.apache.poi.ss.formula">FormulaShifter</a></code></td>
                            <td class="colLast"><span class="typeNameLabel">FormulaShifter.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/ss/formula/FormulaShifter.html#createForColumnCopy-int-java.lang.String-int-int-int-org.apache.poi.ss.SpreadsheetVersion-">createForColumnCopy</a></span>(int&nbsp;externSheetIndex,
                                java.lang.String&nbsp;sheetName,
                                int&nbsp;firstMovedColumnIndex,
                                int&nbsp;lastMovedColumnIndex,
                                int&nbsp;numberOfColumnsToMove,
                                <a href="../../../../../../org/apache/poi/ss/SpreadsheetVersion.html"
                                   title="enum in org.apache.poi.ss">SpreadsheetVersion</a>&nbsp;version)</code>&nbsp;
                            </td>
                        </tr>
                        <tr class="rowColor">
                            <td class="colFirst"><code>static <a
                                    href="../../../../../../org/apache/poi/ss/formula/FormulaShifter.html"
                                    title="class in org.apache.poi.ss.formula">FormulaShifter</a></code></td>
                            <td class="colLast"><span class="typeNameLabel">FormulaShifter.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/ss/formula/FormulaShifter.html#createForColumnShift-int-java.lang.String-int-int-int-org.apache.poi.ss.SpreadsheetVersion-">createForColumnShift</a></span>(int&nbsp;externSheetIndex,
                                java.lang.String&nbsp;sheetName,
                                int&nbsp;firstMovedColumnIndex,
                                int&nbsp;lastMovedColumnIndex,
                                int&nbsp;numberOfColumnsToMove,
                                <a href="../../../../../../org/apache/poi/ss/SpreadsheetVersion.html"
                                   title="enum in org.apache.poi.ss">SpreadsheetVersion</a>&nbsp;version)</code>&nbsp;
                            </td>
                        </tr>
                        <tr class="altColor">
                            <td class="colFirst"><code>static <a
                                    href="../../../../../../org/apache/poi/ss/formula/FormulaShifter.html"
                                    title="class in org.apache.poi.ss.formula">FormulaShifter</a></code></td>
                            <td class="colLast"><span class="typeNameLabel">FormulaShifter.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/ss/formula/FormulaShifter.html#createForRowCopy-int-java.lang.String-int-int-int-org.apache.poi.ss.SpreadsheetVersion-">createForRowCopy</a></span>(int&nbsp;externSheetIndex,
                                java.lang.String&nbsp;sheetName,
                                int&nbsp;firstMovedRowIndex,
                                int&nbsp;lastMovedRowIndex,
                                int&nbsp;numberOfRowsToMove,
                                <a href="../../../../../../org/apache/poi/ss/SpreadsheetVersion.html"
                                   title="enum in org.apache.poi.ss">SpreadsheetVersion</a>&nbsp;version)</code>&nbsp;
                            </td>
                        </tr>
                        <tr class="rowColor">
                            <td class="colFirst"><code>static <a
                                    href="../../../../../../org/apache/poi/ss/formula/FormulaShifter.html"
                                    title="class in org.apache.poi.ss.formula">FormulaShifter</a></code></td>
                            <td class="colLast"><span class="typeNameLabel">FormulaShifter.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/ss/formula/FormulaShifter.html#createForRowShift-int-java.lang.String-int-int-int-org.apache.poi.ss.SpreadsheetVersion-">createForRowShift</a></span>(int&nbsp;externSheetIndex,
                                java.lang.String&nbsp;sheetName,
                                int&nbsp;firstMovedRowIndex,
                                int&nbsp;lastMovedRowIndex,
                                int&nbsp;numberOfRowsToMove,
                                <a href="../../../../../../org/apache/poi/ss/SpreadsheetVersion.html"
                                   title="enum in org.apache.poi.ss">SpreadsheetVersion</a>&nbsp;version)</code>&nbsp;
                            </td>
                        </tr>
                        <tr class="altColor">
                            <td class="colFirst"><code>static <a
                                    href="../../../../../../org/apache/poi/ss/formula/FormulaShifter.html"
                                    title="class in org.apache.poi.ss.formula">FormulaShifter</a></code></td>
                            <td class="colLast"><span class="typeNameLabel">FormulaShifter.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/ss/formula/FormulaShifter.html#createForSheetShift-int-int-">createForSheetShift</a></span>(int&nbsp;srcSheetIndex,
                                int&nbsp;dstSheetIndex)</code>&nbsp;
                            </td>
                        </tr>
                        </tbody>
                    </table>
                </li>
                <li class="blockList"><a name="org.apache.poi.ss.usermodel.helpers">
                    <!--   -->
                </a>
                    <h3>Uses of <a href="../../../../../../org/apache/poi/ss/formula/FormulaShifter.html"
                                   title="class in org.apache.poi.ss.formula">FormulaShifter</a> in <a
                            href="../../../../../../org/apache/poi/ss/usermodel/helpers/package-summary.html">org.apache.poi.ss.usermodel.helpers</a>
                    </h3>
                    <table class="useSummary" border="0" cellpadding="3" cellspacing="0"
                           summary="Use table, listing methods, and an explanation">
                        <caption><span>Methods in <a
                                href="../../../../../../org/apache/poi/ss/usermodel/helpers/package-summary.html">org.apache.poi.ss.usermodel.helpers</a> with parameters of type <a
                                href="../../../../../../org/apache/poi/ss/formula/FormulaShifter.html"
                                title="class in org.apache.poi.ss.formula">FormulaShifter</a></span><span
                                class="tabEnd">&nbsp;</span></caption>
                        <tr>
                            <th class="colFirst" scope="col">Modifier and Type</th>
                            <th class="colLast" scope="col">Method and Description</th>
                        </tr>
                        <tbody>
                        <tr class="altColor">
                            <td class="colFirst"><code>static <a
                                    href="../../../../../../org/apache/poi/ss/util/CellRangeAddress.html"
                                    title="class in org.apache.poi.ss.util">CellRangeAddress</a></code></td>
                            <td class="colLast"><span class="typeNameLabel">BaseRowColShifter.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/ss/usermodel/helpers/BaseRowColShifter.html#shiftRange-org.apache.poi.ss.formula.FormulaShifter-org.apache.poi.ss.util.CellRangeAddress-int-">shiftRange</a></span>(<a
                                    href="../../../../../../org/apache/poi/ss/formula/FormulaShifter.html"
                                    title="class in org.apache.poi.ss.formula">FormulaShifter</a>&nbsp;formulaShifter,
                                <a href="../../../../../../org/apache/poi/ss/util/CellRangeAddress.html"
                                   title="class in org.apache.poi.ss.util">CellRangeAddress</a>&nbsp;cra,
                                int&nbsp;currentExternSheetIx)</code>&nbsp;
                            </td>
                        </tr>
                        <tr class="rowColor">
                            <td class="colFirst"><code>abstract void</code></td>
                            <td class="colLast"><span class="typeNameLabel">BaseRowColShifter.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/ss/usermodel/helpers/BaseRowColShifter.html#updateConditionalFormatting-org.apache.poi.ss.formula.FormulaShifter-">updateConditionalFormatting</a></span>(<a
                                    href="../../../../../../org/apache/poi/ss/formula/FormulaShifter.html"
                                    title="class in org.apache.poi.ss.formula">FormulaShifter</a>&nbsp;formulaShifter)</code>
                                <div class="block">Update conditional formatting</div>
                            </td>
                        </tr>
                        <tr class="altColor">
                            <td class="colFirst"><code>abstract void</code></td>
                            <td class="colLast"><span class="typeNameLabel">BaseRowColShifter.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/ss/usermodel/helpers/BaseRowColShifter.html#updateFormulas-org.apache.poi.ss.formula.FormulaShifter-">updateFormulas</a></span>(<a
                                    href="../../../../../../org/apache/poi/ss/formula/FormulaShifter.html"
                                    title="class in org.apache.poi.ss.formula">FormulaShifter</a>&nbsp;formulaShifter)</code>
                                <div class="block">Update formulas.</div>
                            </td>
                        </tr>
                        <tr class="rowColor">
                            <td class="colFirst"><code>abstract void</code></td>
                            <td class="colLast"><span class="typeNameLabel">BaseRowColShifter.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/ss/usermodel/helpers/BaseRowColShifter.html#updateHyperlinks-org.apache.poi.ss.formula.FormulaShifter-">updateHyperlinks</a></span>(<a
                                    href="../../../../../../org/apache/poi/ss/formula/FormulaShifter.html"
                                    title="class in org.apache.poi.ss.formula">FormulaShifter</a>&nbsp;formulaShifter)</code>
                                <div class="block">Shift the Hyperlink anchors (not the hyperlink text, even if the
                                    hyperlink
                                    is of type LINK_DOCUMENT and refers to a cell that was shifted).
                                </div>
                            </td>
                        </tr>
                        <tr class="altColor">
                            <td class="colFirst"><code>abstract void</code></td>
                            <td class="colLast"><span class="typeNameLabel">BaseRowColShifter.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/ss/usermodel/helpers/BaseRowColShifter.html#updateNamedRanges-org.apache.poi.ss.formula.FormulaShifter-">updateNamedRanges</a></span>(<a
                                    href="../../../../../../org/apache/poi/ss/formula/FormulaShifter.html"
                                    title="class in org.apache.poi.ss.formula">FormulaShifter</a>&nbsp;formulaShifter)</code>
                                <div class="block">Update named ranges</div>
                            </td>
                        </tr>
                        </tbody>
                    </table>
                </li>
                <li class="blockList"><a name="org.apache.poi.xssf.usermodel.helpers">
                    <!--   -->
                </a>
                    <h3>Uses of <a href="../../../../../../org/apache/poi/ss/formula/FormulaShifter.html"
                                   title="class in org.apache.poi.ss.formula">FormulaShifter</a> in <a
                            href="../../../../../../org/apache/poi/xssf/usermodel/helpers/package-summary.html">org.apache.poi.xssf.usermodel.helpers</a>
                    </h3>
                    <table class="useSummary" border="0" cellpadding="3" cellspacing="0"
                           summary="Use table, listing methods, and an explanation">
                        <caption><span>Methods in <a
                                href="../../../../../../org/apache/poi/xssf/usermodel/helpers/package-summary.html">org.apache.poi.xssf.usermodel.helpers</a> with parameters of type <a
                                href="../../../../../../org/apache/poi/ss/formula/FormulaShifter.html"
                                title="class in org.apache.poi.ss.formula">FormulaShifter</a></span><span
                                class="tabEnd">&nbsp;</span></caption>
                        <tr>
                            <th class="colFirst" scope="col">Modifier and Type</th>
                            <th class="colLast" scope="col">Method and Description</th>
                        </tr>
                        <tbody>
                        <tr class="altColor">
                            <td class="colFirst"><code>void</code></td>
                            <td class="colLast"><span class="typeNameLabel">XSSFRowShifter.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/xssf/usermodel/helpers/XSSFRowShifter.html#updateConditionalFormatting-org.apache.poi.ss.formula.FormulaShifter-">updateConditionalFormatting</a></span>(<a
                                    href="../../../../../../org/apache/poi/ss/formula/FormulaShifter.html"
                                    title="class in org.apache.poi.ss.formula">FormulaShifter</a>&nbsp;formulaShifter)</code>&nbsp;
                            </td>
                        </tr>
                        <tr class="rowColor">
                            <td class="colFirst"><code>void</code></td>
                            <td class="colLast"><span class="typeNameLabel">XSSFColumnShifter.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/xssf/usermodel/helpers/XSSFColumnShifter.html#updateConditionalFormatting-org.apache.poi.ss.formula.FormulaShifter-">updateConditionalFormatting</a></span>(<a
                                    href="../../../../../../org/apache/poi/ss/formula/FormulaShifter.html"
                                    title="class in org.apache.poi.ss.formula">FormulaShifter</a>&nbsp;formulaShifter)</code>&nbsp;
                            </td>
                        </tr>
                        <tr class="altColor">
                            <td class="colFirst"><code>void</code></td>
                            <td class="colLast"><span class="typeNameLabel">XSSFRowShifter.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/xssf/usermodel/helpers/XSSFRowShifter.html#updateFormulas-org.apache.poi.ss.formula.FormulaShifter-">updateFormulas</a></span>(<a
                                    href="../../../../../../org/apache/poi/ss/formula/FormulaShifter.html"
                                    title="class in org.apache.poi.ss.formula">FormulaShifter</a>&nbsp;formulaShifter)</code>&nbsp;
                            </td>
                        </tr>
                        <tr class="rowColor">
                            <td class="colFirst"><code>void</code></td>
                            <td class="colLast"><span class="typeNameLabel">XSSFColumnShifter.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/xssf/usermodel/helpers/XSSFColumnShifter.html#updateFormulas-org.apache.poi.ss.formula.FormulaShifter-">updateFormulas</a></span>(<a
                                    href="../../../../../../org/apache/poi/ss/formula/FormulaShifter.html"
                                    title="class in org.apache.poi.ss.formula">FormulaShifter</a>&nbsp;formulaShifter)</code>&nbsp;
                            </td>
                        </tr>
                        <tr class="altColor">
                            <td class="colFirst"><code>void</code></td>
                            <td class="colLast"><span class="typeNameLabel">XSSFRowShifter.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/xssf/usermodel/helpers/XSSFRowShifter.html#updateHyperlinks-org.apache.poi.ss.formula.FormulaShifter-">updateHyperlinks</a></span>(<a
                                    href="../../../../../../org/apache/poi/ss/formula/FormulaShifter.html"
                                    title="class in org.apache.poi.ss.formula">FormulaShifter</a>&nbsp;formulaShifter)</code>&nbsp;
                            </td>
                        </tr>
                        <tr class="rowColor">
                            <td class="colFirst"><code>void</code></td>
                            <td class="colLast"><span class="typeNameLabel">XSSFColumnShifter.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/xssf/usermodel/helpers/XSSFColumnShifter.html#updateHyperlinks-org.apache.poi.ss.formula.FormulaShifter-">updateHyperlinks</a></span>(<a
                                    href="../../../../../../org/apache/poi/ss/formula/FormulaShifter.html"
                                    title="class in org.apache.poi.ss.formula">FormulaShifter</a>&nbsp;formulaShifter)</code>&nbsp;
                            </td>
                        </tr>
                        <tr class="altColor">
                            <td class="colFirst"><code>void</code></td>
                            <td class="colLast"><span class="typeNameLabel">XSSFRowShifter.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/xssf/usermodel/helpers/XSSFRowShifter.html#updateNamedRanges-org.apache.poi.ss.formula.FormulaShifter-">updateNamedRanges</a></span>(<a
                                    href="../../../../../../org/apache/poi/ss/formula/FormulaShifter.html"
                                    title="class in org.apache.poi.ss.formula">FormulaShifter</a>&nbsp;formulaShifter)</code>&nbsp;
                            </td>
                        </tr>
                        <tr class="rowColor">
                            <td class="colFirst"><code>void</code></td>
                            <td class="colLast"><span class="typeNameLabel">XSSFColumnShifter.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/xssf/usermodel/helpers/XSSFColumnShifter.html#updateNamedRanges-org.apache.poi.ss.formula.FormulaShifter-">updateNamedRanges</a></span>(<a
                                    href="../../../../../../org/apache/poi/ss/formula/FormulaShifter.html"
                                    title="class in org.apache.poi.ss.formula">FormulaShifter</a>&nbsp;formulaShifter)</code>&nbsp;
                            </td>
                        </tr>
                        <tr class="altColor">
                            <td class="colFirst"><code>void</code></td>
                            <td class="colLast"><span class="typeNameLabel">XSSFRowShifter.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/xssf/usermodel/helpers/XSSFRowShifter.html#updateRowFormulas-org.apache.poi.xssf.usermodel.XSSFRow-org.apache.poi.ss.formula.FormulaShifter-">updateRowFormulas</a></span>(<a
                                    href="../../../../../../org/apache/poi/xssf/usermodel/XSSFRow.html"
                                    title="class in org.apache.poi.xssf.usermodel">XSSFRow</a>&nbsp;row,
                                <a href="../../../../../../org/apache/poi/ss/formula/FormulaShifter.html"
                                   title="class in org.apache.poi.ss.formula">FormulaShifter</a>&nbsp;formulaShifter)</code>
                                <div class="block">Update the formulas in specified row using the formula shifting
                                    policy specified by shifter
                                </div>
                            </td>
                        </tr>
                        </tbody>
                    </table>
                </li>
            </ul>
        </li>
    </ul>
</div>
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
    <!--   -->
</a>
    <div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
    <a name="navbar.bottom.firstrow">
        <!--   -->
    </a>
    <ul class="navList" title="Navigation">
        <li><a href="../../../../../../overview-summary.html">Overview</a></li>
        <li><a href="../package-summary.html">Package</a></li>
        <li><a href="../../../../../../org/apache/poi/ss/formula/FormulaShifter.html"
               title="class in org.apache.poi.ss.formula">Class</a></li>
        <li class="navBarCell1Rev">Use</li>
        <li><a href="../package-tree.html">Tree</a></li>
        <li><a href="../../../../../../deprecated-list.html">Deprecated</a></li>
        <li><a href="../../../../../../index-all.html">Index</a></li>
        <li><a href="../../../../../../help-doc.html">Help</a></li>
    </ul>
</div>
<div class="subNav">
    <ul class="navList">
        <li>Prev</li>
        <li>Next</li>
    </ul>
    <ul class="navList">
        <li><a href="../../../../../../index.html?org/apache/poi/ss/formula/class-use/FormulaShifter.html"
               target="_top">Frames</a></li>
        <li><a href="FormulaShifter.html" target="_top">No&nbsp;Frames</a></li>
    </ul>
    <ul class="navList" id="allclasses_navbar_bottom">
        <li><a href="../../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
    </ul>
    <div>
        <script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->

        </script>
    </div>
    <a name="skip.navbar.bottom">
        <!--   -->
    </a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
<p class="legalCopy">
    <small>
        <i>Copyright 2018 The Apache Software Foundation or
            its licensors, as applicable.</i>
    </small>
</p>
</body>
</html>
